<?php
declare(strict_types=1);

namespace Inti\Media\Model;

/**
 * Class ImageSize
 *
 * @package Inti\Media\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-media
 */
final class ImageSize
{
    private ?int $width;
    private ?int $height;
    private bool $cropped = false;

    public function getWidth(): int
    {
        return $this->width ?? 0;
    }

    public function getHeight(): int
    {
        return $this->height ?? 0;
    }

    public function isCropped(): bool
    {
        return $this->cropped;
    }
}
